import request from "@/utils/request";
import { AxiosPromise } from "axios";

// 新增测试工程表
export function addProject(data: object): AxiosPromise {
  return request({
    url: "/api/v1/test/engineering/add",
    method: "post",
    data: data,
  });
}

// 修改测试工程表
export function updateProject(data: object): AxiosPromise {
  return request({
    url: "/api/v1/test/engineering/update",
    method: "post",
    data: data,
  });
}

// 删除测试工程表
export function deleteProject(id: number): AxiosPromise {
  return request({
    url: "/api/v1/test/engineering/del",
    method: "post",
    data: {
      id: id,
    },
  });
}

// 根据id查询测试工程表
export function getProjectById(id: number): AxiosPromise {
  return request({
    url: "/api/v1/test/engineering/" + id,
    method: "get",
  });
}

// 查询所有测试工程表
// 测试工程表分页查询
export function getProjectPage(data: object): AxiosPromise {
  return request({
    url: "/api/v1/test/engineering/page",
    method: "post",
    data: data,
  });
}

// 测试工程类型统计

export function getProjectTypeCount(): AxiosPromise {
  return request({
    url: "/api/v1/test/engineering/typeStatistics",
    method: "post",
    data: {},
  });
}
